package com.polytechnik.algorithms;


class PrintTE {

    static final int N=4;
    static final double TAU=2,DT=TAU/100,DGF=0.5;

    static double getF(final double t)
    {
	return t;//t-45;//Math.sin(t*2)+5*Math.sin(t*t);
    }



    static double getFAppr(final double t)
    {
	final double [] sum=new double [N];
	for(double tt=t;tt>=0;tt-=DT)
	{
	    final double ts=(t-tt)/TAU;
	    final double e=Math.exp(-ts),f=getF(tt);
	    for(int m=0,fact=1;m<N;m++)
	    {
		final double w=e*Math.pow(ts,m)/fact;
		fact*=(m+1);
		sum[m]+=w*f;
	    }
	}

	double s=0,sign=1;
	for(int m=0;m<N;m++)
	{
	    //System.err.println("sum["+m+"]="+sum[m]+" check="+(TAU/DT));
	    s+=sum[m]*sign;
	    sign=-sign*DGF;
	}
	return s*DT/TAU;
    }



    public static void main(String [] args)
    {
	for(double t=40;t<60;t+=0.01)
	{
	    System.err.println(String.valueOf(t)+"\t"+
			       getF(t)+"\t"+
			       (getFAppr(t)));
	}
    }


}

