package com.polytechnik.algorithms;

class TestC3 {

    static double f(final double x,final double xm)
    {
	return 1.7+1.3*(x-xm)+0.3*(x-xm)*(x-xm);
    }
    static double w(final int i)
    {
	return 1;
    }


    static void testccc(final double xl,final double xr,final int n)
    {
	final double dd=xr-xl,d=dd/(n+1),x0=xl,xm=0.5*(xl+xr);
	final int n1=n+1;
	double s1=0,s2=0,s3=0,ns1=0,ns2=0,ns3=0;
	for(int i=0;i<n1;i++)
	{
	    final double fi=f(x0+d*i,xm),wi=w(i);
	    ns1+=wi;
	    s1+=fi*wi;
	    for(int j=i+1;j<n1;j++)
	    {
		final double fj=f(x0+d*j,xm),wj=w(j);
		ns2+=wi*wj;
		s2+=(fj-fi)*wi*wj;
		for(int k=j+1;k<n1;k++)
		{
		    final double fk=f(x0+d*k,xm),wk=w(k);
		    ns3+=wi*wj*wk;
		    s3+=(fk+fi-2*fj)*wi*wj*wk;
		}
	    }
	}
	System.err.println("N="+n+" xl="+xl+" xr="+xr+"\n"+
			   " f(xm+dd)="+f(xm+dd,xm)+"\n"+
			   " K1="+(s1/ns1)+"\n"+
			   " K2="+(s2/ns2)+"\n"+
			   " K3="+(s3/ns3)+"\n"+
			   " NS3/N^3="+(ns3/(n*((double)n)*n))+" 1/6\n"+
			   " NS2/N^2="+(ns2/(n*((double)n)))+" 1/2");
    }

    static void testcccS(final double xl,final double xr,final int n)
    {
	final double dd=xr-xl,d=dd/(n+1),x0=xl,xm=0.5*(xl+xr);
	final int n1=n+1;
	double s1=0,s2=0,s3=0,s3_adj=0,ns1=0,ns2=0,ns3=0;
	for(int i=0;i<n1;i++)
	{
	    final double ff=f(x0+d*(n-i),xm),w=w(i);
	    s2+=w*(s1-ff*ns1);
	    s3_adj+=w*(s1-2*ff*ns1);
	    final double prev_ns1=ns1,prev_s1=s1;

	    ns2+=w*ns1;
	    ns1+=w;
	    ns3+=w*prev_ns1*ns1;

	    s1+=w*ff;
	    s3+=w*(prev_s1*ns1+prev_ns1*s1-2*ff*prev_ns1*ns1);
	}
	ns3=ns1*ns2-ns3;
	s3=ns1*s3_adj+s1*ns2-s3;
	final double k1=s1/ns1,k2=s2/ns2,k3=s3/ns3,al=0.7;
	final double alpha=3*k2,beta=10*k3,c0=k1-beta/12;

	System.err.println("OPT\nN="+n+" xl="+xl+" xr="+xr+"\n"+
			   " f(xm+dd*"+al+")="+f(xm+dd*al,xm)+"\n"+
			   " (K1-10*K3/12)+K2*3*al+K3*10*al*al="+((k1-10*k3/12)+3*k2*al+10*k3*al*al)+"\n"+
			   " K1="+k1+"\n"+
			   " K2="+k2+"\n"+
			   " K3="+k3+"\n"+
			   " Nformulae="+c0+" + "+alpha+"*o + "+beta+"*o^2\n"+
			   " xformulae="+c0+" + "+(alpha/dd)+"*dx + "+(beta/(dd*dd))+"*dx^2\n"+
			   " NS3/N^3="+(ns3/(n*((double)n)*n))+" 1/6\n"+
			   " NS2/N^2="+(ns2/(n*((double)n)))+" 1/2");
    }


    public static void main(String [] args)
    {
	testcccS(-1.5,0.5,300000);
	testccc(-1.5,0.5,1000);
    }
}

