package com.polytechnik.broker;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** A dummy broker. Does nothing.
 *  @version $Id: DummyBroker.java,v 1.28 2009/10/14 09:40:08 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class DummyBroker implements BrokerInterface {

    public void init() {}

    public void hookForDebugging(final Object data,final long tradertime){}

    public long addNewOrder(final AOrder o,final TraderContainer s){return -1;}

    public long cancelReplaceOrder(final long ordertocancel,final AOrder o,final TraderContainer s){return -1;}

    public long cancelOrder(final long ordertocancel,final TraderContainer s){return -1;}

    public int cancelPerTickerOrders(final long [] orderstocancel,final TraderContainer s){return 0;}

    public void readInitialPosition(final TraderContainer s)
    {
	// no initial position
    }
}
