package com.polytechnik.broker;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** An interface for callbacks from broker.
 *  @version $Id: FromBrokerInterface.java,v 1.8 2009/09/17 00:51:12 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface FromBrokerInterface {

    void orderExecuted_FromBroker(final ATrade t,final int shares_left,final long timestamp);
    void orderAdded_FromBroker(final BOrder o,final long timestamp);
    void orderCancelled_FromBroker(final long ordertocancel,final String text,final long timestamp);
    void orderRejected_FromBroker(final long orderid,final String text,final long timestamp);

}
