package com.polytechnik.broker;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** Internal attributes. Do not go outside.
 * FIXME think later about this.
 *  @version $Id: OrderAttributes.java,v 1.4 2012/01/17 22:54:42 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class OrderAttributes {


    final String ticker;
    final TradingAlgorithm.TradingEvent event;
    final int strategy_id;
    final String extra_info;

    OrderAttributes(final String ticker,
		    final TradingAlgorithm.TradingEvent event,
		    final int strategy_id,
		    final String extra_info)
    {
	this.ticker=ticker;
	this.event=event;
	this.strategy_id=strategy_id;
	this.extra_info=extra_info;
    }

    public String getDescription()
    {
	return this.ticker+":strategy_id="+this.strategy_id+":"+this.event.getDescription()+
	    " Market="+extra_info;
    }
}
