package com.polytechnik.kgo;
/*
 * (C) Vladislav Malyshkin 2022
 * This file is under GPL version 3.
 *
 */
/** A interface to access original and constraint-adjusted solutions.
 * @version $Id: UAdjustment.java,v 1.4 2024/04/02 00:25:02 mal Exp $
 * @author Vladislav Malyshkin mal@gromco.com
 */
public interface UAdjustment {
    double [] getUOrig();
    double [] getUAdj();

    /** For unit tests.
     */
    AdjustedStateToUnitaryWithSVD getSVDForTesting();
}
