package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */


/** A class to count attributes.
 *  @version $Id: AttributesCount.java,v 1.5 2008/11/15 21:04:42 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
class AttributesCount {
	final int n_doubles,n_strings,n_nominals,n_total;
	AttributesCount(final int n_doubles,
			final int n_strings,
			final int n_nominals,
			final int n_total)
	{
	    this.n_doubles=n_doubles;
	    this.n_strings=n_strings;
	    this.n_nominals=n_nominals;
	    this.n_total=n_total;
	    if(this.n_total!=(this.n_doubles+this.n_strings+this.n_nominals))
	    {
		throw new RuntimeException("Attributes Number mismatch:"+
					   this.n_doubles+"+"+
					   this.n_strings+"+"+
					   this.n_nominals+" != "+
					   this.n_total);
	    }
	}
}
