package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2012
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.OrthogonalPolynomialsBasisFunctionsCalculatable;
import com.polytechnik.utils.BasisFunctionsCalculatable;

/** One more interface to a basis.
 *  @version $Id: DataInterfaceDirectBookPrices.java,v 1.5 2020/09/27 20:33:09 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface DataInterfaceDirectBookPrices<DTYPE> extends DataInterfaceDirect<DTYPE> {

    public static final int M_V=1281,M_EV=1282;

    OrthogonalPolynomialsBasisFunctionsCalculatable<? extends BasisFunctionsCalculatable> getABasis();
}
