package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2012
 * This file is under GPL version 3.
 *
 */

/** Interface clone. Used to create singletons for unit testing
 *  to feed adjusted data.
 *  @version $Id: DeprecatedHelperBasisClone.java,v 1.3 2019/01/06 23:50:30 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
class DeprecatedHelperBasisClone implements DeprecatedHelperBasisInterface {
final DeprecatedHelperBasisInterface o;
DeprecatedHelperBasisClone(final DeprecatedHelperBasisInterface o){this.o=o;}

public int get_ntm(){return o.get_ntm();}
public int get_npm(){return o.get_npm();}
public double getPOffset(){return o.getPOffset();}
public double getPLast(){return o.getPLast();}
public double get_o_o(){return o.get_o_o();}
public double get_f_o(final double [] f){return o.get_f_o(f);}
public double get_f_g(final double [] f,final double [] g){return o.get_f_g(f,g);}
public void setIPn(final double [] i,final int n){o.setIPn(i,n);}
public void setDPn(final double [] pt,final int n){o.setDPn(pt,n);}
public void setIBS(final double [] i){o.setIBS(i);}
public void setI(final double [] i){o.setI(i);}

}
