package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2012
 * This file is under GPL version 3.
 *
 */

/** An interface to a basis.
 *  @version $Id: DeprecatedHelperDataInterface.java,v 1.16 2019/01/06 23:33:47 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
@Deprecated
interface DeprecatedHelperDataInterface<DTYPE> extends DataInterfaceDirectTradesHistorical {
int get_NT();
double get_o_o();
double get_f_o(final double [] f);
double get_f_g(final double [] f,final double [] g);
double getPOffset(final DTYPE odata);

void setM(final double [] m,final int n,final int mom,final DTYPE odata);
/** Calculate time differential moments.
 *  |df/dt>=<f|o>|o>-|df>.
 *  @param df output |df>.
 *  @param f input |f>
 */
void setDmoments(final double [] df,final double [] f);
void setDfDt(final double [] dfdt,final double [] f);

}
