package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2011
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.Polynomials;
import com.polytechnik.utils.TMatr;
import com.polytechnik.freemoney.*;

/** Monomials basis.
 *  @version $Id: DeprecatedHelperQVMDataDirectAccessWithBasis.java,v 1.19 2022/07/10 10:59:03 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class DeprecatedHelperQVMDataDirectAccessWithBasis extends DeprecatedHelperDataDirectAccessWithBasis<QVMData> {

public DeprecatedHelperQVMDataDirectAccessWithBasis(){super(new QVMDataDirectAccess());}

public int setQQCoefs(final int l,final int m,final double [] coefs){java.util.Arrays.fill(coefs,0,l+m,0);coefs[l+m]=1;return 1+l+m;}
public double fx(final double [] m,final double x){return Polynomials.getD0(m,x);}
public double Dfx(final double [] m,final double x){return Polynomials.getD1(m,x);}
public double D2fx(final double [] m,final double x){return Polynomials.getD2(m,x);}

}
