package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2011
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.Laguerre;
import com.polytechnik.utils.TMatr;
import com.polytechnik.freemoney.*;

/** Laguerre basis.
 *  @version $Id: DeprecatedHelperQVMDataLDirectAccessWithBasis.java,v 1.19 2022/07/10 10:59:03 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class DeprecatedHelperQVMDataLDirectAccessWithBasis extends DeprecatedHelperDataDirectAccessWithBasis<QVMDataL> {

public DeprecatedHelperQVMDataLDirectAccessWithBasis(){super(new QVMDataLDirectAccess());}

public int setQQCoefs(final int l,final int m,final double [] coefs){WIntegratorLaguerre.B.setQlQmExpansionCoefs(l,m,coefs);return 1+l+m;}
public double fx(final double [] m,final double x){return WIntegratorLaguerre.B.getD0(m,x);}
public double Dfx(final double [] m,final double x){return WIntegratorLaguerre.B.getD1(m,x);}
public double D2fx(final double [] m,final double x){return WIntegratorLaguerre.B.getD2(m,x);}


}
