package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2011
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.LegendreShifted;
import com.polytechnik.utils.TMatr;
import com.polytechnik.freemoney.*;

/** LegendreShifted basis.
 *  @version $Id: DeprecatedHelperQVMDataPDirectAccessWithBasis.java,v 1.19 2022/07/10 10:59:03 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class DeprecatedHelperQVMDataPDirectAccessWithBasis extends DeprecatedHelperDataDirectAccessWithBasis<QVMDataP> {

public DeprecatedHelperQVMDataPDirectAccessWithBasis(){super(new QVMDataPDirectAccess());}

public int setQQCoefs(final int l,final int m,final double [] coefs){WIntegratorLegendreShifted.B.setQlQmExpansionCoefs(l,m,coefs);return 1+l+m;}
public double fx(final double [] m,final double x){return WIntegratorLegendreShifted.B.getD0(m,x);}
public double Dfx(final double [] m,final double x){return WIntegratorLegendreShifted.B.getD1(m,x);}
public double D2fx(final double [] m,final double x){return WIntegratorLegendreShifted.B.getD2(m,x);}


}
