package com.polytechnik.utils;

/** An interface to compare array element indexes.
 *  @version $Id: IntPTRCompare.java,v 1.5 2022/07/17 21:23:53 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
@FunctionalInterface public interface IntPTRCompare {
int compare(int p1,int p2);

public static IntPTRCompare sortAscending(final double [] vals){
    return (p1,p2)->Double.compare(vals[p1],vals[p2]);
}
public static IntPTRCompare sortDescending(final double [] vals){
    return (p1,p2)->Double.compare(vals[p2],vals[p1]);
}

}
