package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2010
 * This file is under GPL version 3.
 *
 */

/** Polynomial root.
 *  @version $Id: PolynomialRootsFinder.java,v 1.5 2022/07/19 09:07:58 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */

@FunctionalInterface public interface PolynomialRootsFinder  {
    public static class PRoots {
	public final int nroots;
	public final double [] Pcoefs,re_root,im_root;
	public PRoots(final int nroots,
		      final double [] Pcoefs,
		      final double [] re_root,
		      final double [] im_root){
	    this.nroots=nroots;
	    this.Pcoefs=Pcoefs;
	    this.re_root=re_root;
	    this.im_root=im_root;
	}
    }
    PRoots findRoots(final double [] polynomial_coefs);
}
