package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2022
 * This file is under GPL version 3.
 *
 */

/** A class to store constraint-adjusted psi.
 * @version $Id: PsiConstrained.java,v 1.1 2022/06/12 21:48:05 mal Exp $
 * @author Vladislav Malyshkin mal@gromco.com
 */
class PsiConstrained {
    /** Adjusted psi.
     */
    final double [] bpsi;
    /** Type of adjustment used.
     */
    final int adjustment_type;
    PsiConstrained(final double [] bpsi,
		   final int adjustment_type){
	this.bpsi=bpsi;
	this.adjustment_type=adjustment_type;
    }
}
