package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2021
 * This file is under GPL version 3.
 *
 */

/** A class for unit test.
  * @version $Id: RandomSample.java,v 1.2 2024/04/02 01:29:10 mal Exp $
  * @author Vladislav Malyshkin mal@gromco.com
 */
public class RandomSample{
    public final double [] sample;
    public RandomSample(final double [] sample){this.sample=sample;}
    public RandomSample(final double x_min,final double x_max,final int size,final java.util.Random r){
	this.sample=new double [size];
	for(int k=size;--k>=0;)
	{
	    sample[k]=x_min+(x_max-x_min)*r.nextDouble();
	}
    }
    public RandomSample(final int n_levels,final int size,final java.util.Random r){
	this.sample=new double [size];
	for(int k=size;--k>=0;)
	{
	    sample[k]=r.nextInt(n_levels);
	}
    }
} // END OF class RandomSample
