package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2024
 * This file is under GPL version 3.
 *
 */

/** Available regularizations.
 * @version $Id: RegularizationMethod.java,v 1.3 2024/04/05 09:20:23 mal Exp $
 * @author Vladislav Malyshkin mal@gromco.com
 */
public enum RegularizationMethod {

    EV,
    LIN,
    NONE;

    public static RegularizationMethod opt(String name){
	if(name==null) return null;
	for(var x:RegularizationMethod.values()){
	    if(x.name().equals(name)) return x;
	}
	return null;
    }
}
