/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: dlamc3.f
 *  f2java version: 0.8.1
 *
 */

package com.polytechnik.lapack310;


public class Dlamc3 {

// ************************************************************************
// *> \brief \b DLAMC3
// *> \details
// *> \b Purpose:
// *> \verbatim
// *> DLAMC3  is intended to force  A  and  B  to be stored prior to doing

// *> the addition of  A  and  B ,  for use in situations where optimizers

// *> might hold one of these in a register.
// *> \endverbatim
// *> \author LAPACK is a software package provided by Univ. of Tennessee,
// *> \param[in] A
// *> \verbatim
// *>          A is a DOUBLE PRECISION
// *> \endverbatim
// *>
// *> \param[in] B
// *> \verbatim
// *>          B is a DOUBLE PRECISION
// *>          The values A and B.
// *> \endverbatim
// *>
//
/***
*     ..
* =====================================================================
*
*     .. Executable Statements ..
*
***/
// *

public static double dlamc3 (double a,
double b)  {

return a+b;
//double dlamc3= 0.0d;
//dlamc3 = (a+b);
/***
*
*     End of DLAMC3
*
***/
//Dummy.go_to("com/polytechnik/lapack310/Dlamc3",999999);
/***
*
************************************************************************
***/
// dummy stmt
//Dummy.label("com/polytechnik/lapack310/Dlamc3",999999);
//return dlamc3;
   }
} // End class.
