package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2012
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.Polynomials;
import com.polytechnik.utils.TMatr;

/** A list of common timeserie IDs.
 *  @see com.polytechnik.freemoney.CommonlyUsedMoments
 *  @version $Id: DataInterfaceDirectTradesHistorical.java,v 1.14 2022/09/14 08:19:26 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface DataInterfaceDirectTradesHistorical {

    /** Timeserie ID. */
    public static final int M_O=280,M_I=281,M_ISELL=282,M_IBUY=283,M_DPPLUS=284,M_DPMINUS=285,M_DP=286,M_T=287,M_A=288,M_AD=289,M_TS=290,M_VS=291,M_RTS=292,M_RVS=293,M_TAUIBUY=294,M_TAUISELL=295,
	M_DPwV=296,M_DPwT=297,M_DAwV=298,M_DAwT=299,M_TI=300,M_TDP=310,M_VdPdt=320;

}
