package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2013
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.TMatr;
import com.polytechnik.utils.Polynomials;
import com.polytechnik.utils.OrthogonalPolynomialsMonomialsBasis;

class OrthogonalPolynomialsMonomialsBasisX extends OrthogonalPolynomialsMonomialsBasis {
    final double a,b;
    OrthogonalPolynomialsMonomialsBasisX(final double a,final double b){this.a=a;this.b=b;}

    /** Multiply by ax+b.
     */
    public double [] getRadauMultiplied(final double [] nodes0)
    {
	final double [] res=Polynomials.getxP(nodes0);
	TMatr.scaleVectorInPlace(res,a);
	TMatr.sumP1(res,nodes0,b);
	return res;
    }
}
