package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2020
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.UnitTests;
import com.polytechnik.utils.OrthogonalPolynomialsLaguerreBasis;
import com.polytechnik.freemoney.*;

/**
 *  @version $Id: PnLILowIHighTPVFactoryLaguerre.java,v 1.6 2022/07/28 07:29:39 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class PnLILowIHighTPVFactoryLaguerre extends PnLILowIHighTPVFactory {


public PnLILowIHighTPVFactoryLaguerre(final int n,final double atau){super(n,atau);}


@Override OrthogonalPolynomialsLaguerreBasis getABasis(){return new OrthogonalPolynomialsLaguerreBasis();}
@Override double [] getPsi2WIntegratedDt(final double [] psi){return WIntegratorLaguerre.getPsi2WIntegratedDt(psi);}
@Override WIntegratorLaguerre getEmptyWIntegrator(final int dim){return new WIntegratorLaguerre(2*n-1,atau,dim);}
@Override double [] getDtMoments(final int nmoms){return WIntegratorLaguerre.getDtMoments(nmoms);}
@Override double [] getEDPsi(final double [] psi){return WIntegratorLaguerre.getEDPsi(psi);}

}

