package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2020
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.UnitTests;
import com.polytechnik.utils.OrthogonalPolynomialsLegendreShiftedBasis;
import com.polytechnik.freemoney.*;

/**
 *  @version $Id: PnLILowIHighTPVFactoryLegendreShifted.java,v 1.6 2022/07/28 07:29:39 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class PnLILowIHighTPVFactoryLegendreShifted extends PnLILowIHighTPVFactory  {


public PnLILowIHighTPVFactoryLegendreShifted(final int n,final double atau){super(n,atau);}


@Override OrthogonalPolynomialsLegendreShiftedBasis getABasis(){return new OrthogonalPolynomialsLegendreShiftedBasis();}
@Override double [] getPsi2WIntegratedDt(final double [] psi){return WIntegratorLegendreShifted.getPsi2WIntegratedDt(psi);}
@Override WIntegratorLegendreShifted getEmptyWIntegrator(final int dim){return new WIntegratorLegendreShifted(2*n-1,atau,dim);}
@Override double [] getDtMoments(final int nmoms){return WIntegratorLegendreShifted.getDtMoments(nmoms);}
@Override double [] getEDPsi(final double [] psi){return WIntegratorLegendreShifted.getEDPsi(psi);}

}
