package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2020
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.UnitTests;
import com.polytechnik.utils.OrthogonalPolynomialsMonomialsBasis;
import com.polytechnik.freemoney.*;

/**
 *  @version $Id: PnLILowIHighTPVFactoryMonomials.java,v 1.7 2022/07/28 07:29:39 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class PnLILowIHighTPVFactoryMonomials extends PnLILowIHighTPVFactory {


public PnLILowIHighTPVFactoryMonomials(final int n,final double atau){super(n,atau);}


@Override OrthogonalPolynomialsMonomialsBasis getABasis(){return new OrthogonalPolynomialsMonomialsBasis0();}
@Override double [] getPsi2WIntegratedDt(final double [] psi){return WIntegratorMonomials.getPsi2WIntegratedDt(psi);}
@Override WIntegratorMonomials getEmptyWIntegrator(int dim){return new WIntegratorMonomials(2*n-1,atau,dim);}
@Override double [] getDtMoments(final int nmoms){return WIntegratorMonomials.getDtMoments(nmoms);}
@Override double [] getEDPsi(final double [] psi){return WIntegratorMonomials.getEDPsi(psi);}

}
