package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2020
 * This file is under GPL version 3.
 *
 */

import com.polytechnik.freemoney.WIntegrator;

/** The state for {@link SimpleSupportPrice SimpleSupportPrice}.
 *  @version $Id: SimpleSupportPriceStateSaver.java,v 1.7 2022/07/10 10:59:04 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class SimpleSupportPriceStateSaver {

    public final SupportPriceStateSaver sst;
    final WIntegrator wiI;
    public final double
	dPsdt_at_last_spike_in_I,
	x_at_last_spike_in_I,
	w_at_last_spike_in_I,
	PsChange_at_last_spike_in_I,
	DIRdPs;
    SimpleSupportPriceStateSaver(final SupportPriceStateSaver sst,final WIntegrator wiI,
				 final double dPsdt_at_last_spike_in_I,
				 final double x_at_last_spike_in_I,
				 final double w_at_last_spike_in_I,
				 final double PsChange_at_last_spike_in_I){
	this.sst=sst;
	this.wiI=wiI;
	this.dPsdt_at_last_spike_in_I=dPsdt_at_last_spike_in_I;
	this.x_at_last_spike_in_I=x_at_last_spike_in_I;
	this.w_at_last_spike_in_I=w_at_last_spike_in_I;
	this.PsChange_at_last_spike_in_I=PsChange_at_last_spike_in_I;
	this.DIRdPs=dPsdt_at_last_spike_in_I*w_at_last_spike_in_I;
    }
}
