package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2009
 * This file is under GPL version 3.
 *
 */

/** Catch trend changes.
 *  @version $Id: TrendChanges.java,v 1.13 2009/12/08 21:31:36 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
class TrendChanges extends TrendFollower {

    TrendChanges(final double NOICE_LEVEL)
    {
	super(NOICE_LEVEL);
    }


    boolean flag_up_on=false,flag_down_on=false;

    void processEvent(final double current,
		      final long current_time,
		      final double p_buy,
		      final double p_sell)
    {
	super.processEvent(current,current_time);
    }

    void stateChanged(final int new_state,
		      final double current,
		      final long current_time)
    {
	if(new_state==STATE_UP)
	{
	    this.flag_up_on=true;
	    this.flag_down_on=false;
	}
	else if(new_state==STATE_DOWN)
	{
	    this.flag_up_on=false;
	    this.flag_down_on=true;
	}
	else
	{
	    throw new IllegalStateException();
	}
    }

    void sameState(final int state,
		   final double current,
		   final long current_time)
    {
	if(state==STATE_UP)
	{
	    // FIXME
	}
	else if(state==STATE_DOWN)
	{
	    // FIXME
	}
	else
	{
	    throw new IllegalStateException();
	}
    }
}

