package com.polytechnik.trading;
/*
 * (C) Vladislav Malyshkin 2015
 * This file is under GPL version 3.
 *
 */
import com.polytechnik.utils.UnitTests;
import com.polytechnik.utils.TMatr;
import com.polytechnik.utils.PolynomialsRatio;
import com.polytechnik.utils.VolMatrix;

/**
 *  @version $Id: TryD2.java,v 1.4 2015/06/29 19:08:07 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
class TryD2 {
    final D2Ratio pI,I;
    final double p,px;
    TryD2(final double [] psi,
	  final double [] QQi,final double [] QQt,final double [] QQpi,
	  final VolMatrix VOLATILITY_EDPsi)
    {
	this.I=new D2Ratio(psi,QQi,QQt,VOLATILITY_EDPsi);
	this.pI=new D2Ratio(psi,QQpi,QQt,VOLATILITY_EDPsi);
	this.p=pI.F0/I.F0;
	this.px=pI.F2/I.F2;
    }
}
